- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions

# FbxFolder Class Reference

Search for all occurrences

## Detailed Description

Definition at line 22 of file fbxfolder.h.

`#include <fbxfolder.h>`

List of all members.

## Public Types
enum | EEntryType { eRegularEntry, eFolderEntry }
## Public Member Functions
| FbxFolder ()
| ~FbxFolder ()
bool | Open (const char *pDirName_UTF8)
bool | Next ()
void | Close ()
bool | Create (const char *pDirName_UTF8)
void | Delete (const char *pDirName_UTF8)
bool | IsOpen () const
bool | IsEmpty (const char *pDirName_UTF8) const
EEntryType | GetType () const
FbxString | Name () const
char * | GetExt () const
## Static Public Member Functions
static bool | Remove (const char *pFolderPath_UTF8, bool pRecursive=true)
| Remove the given directory.
static bool | Exist (const char *pFolderPath_UTF8)
| Test if the given directory path exist.
static bool | EnsureExistance (const char *pFolderPath_UTF8)
| Test if the given directory is exist, if the folder is not exist it will create this directory.

## Member Enumeration Documentation

enum EEntryType

Search for all occurrences

Enumerator:

  eRegularEntry | Search for all occurrences
  eFolderEntry | Search for all occurrences

Definition at line 25 of file fbxfolder.h.

    {eRegularEntry, eFolderEntry};

## Constructor & Destructor Documentation

FbxFolder | ( |  | ) |

~FbxFolder | ( |  | ) |

## Member Function Documentation

bool Open | ( | const char * | pDirName_UTF8 | ) |

Search for all occurrences

bool Next | ( |  | ) |

Search for all occurrences

void Close | ( |  | ) |

Search for all occurrences

bool Create | ( | const char * | pDirName_UTF8 | ) |

Search for all occurrences

void Delete | ( | const char * | pDirName_UTF8 | ) |

Search for all occurrences

bool IsOpen | ( |  | ) | const

Search for all occurrences

bool IsEmpty | ( | const char * | pDirName_UTF8 | ) | const

Search for all occurrences

static bool Remove | ( | const char * | pFolderPath_UTF8,
|  | bool | pRecursive = `true`
| ) |  | `[static]`

Search for all occurrences

Remove the given directory.

Parameters:

  pFolderPath_UTF8 | The given directory which ought to be removed.
  pRecursive | Decided if remove the children directories. If it is true ,remove all the content in the given directory. If it is false, just remove the files under given directory and retain the children directories.

Returns:
  Return true if all the directory be removed .Otherwise, return false.

static bool Exist | ( | const char * | pFolderPath_UTF8 | ) | `[static]`

Search for all occurrences

Test if the given directory path exist.

static bool EnsureExistance | ( | const char * | pFolderPath_UTF8 | ) | `[static]`

Search for all occurrences

Test if the given directory is exist, if the folder is not exist it will create this directory.

Examples:
  ExportScene03/main.cxx, and ProceduralTexture/main.cxx.

EEntryType GetType | ( |  | ) | const

Search for all occurrences

FbxString Name | ( |  | ) | const

Search for all occurrences

char* GetExt | ( |  | ) | const

Search for all occurrences

The documentation for this class was generated from the following file:

- fbxsdk/core/base/fbxfolder.h

FbxFolder FbxFolder FbxFolder FbxFolder FbxFolder FbxFolder FbxFolder FbxFolder FbxFolder FbxFolder
FbxFolder FbxFolder FbxFolder FbxFolder FbxFolder FbxFolder FbxFolder FbxFolder FbxFolder FbxFolder